module.exports = (sequelize, type) => {
    const ScheduleTime = sequelize.define('schedule_times', {
        id: {
            type: type.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        cohort_id: type.INTEGER,
        template_id: type.INTEGER,
        test_id: type.INTEGER,
        start_time: type.TEXT,
        end_time: type.TEXT,
        type: type.ENUM('CAT', 'PRACTICE', 'LIVE', 'KA'),
        examname: type.STRING,
        status: {
            type: type.INTEGER,
            defaultValue: 0
        }
    })
    return ScheduleTime;
}